package com.yizhi.forum.application.feign;


import com.baomidou.mybatisplus.plugins.Page;
import com.yizhi.forum.application.vo.forum.PostsManageVo;
import com.yizhi.forum.application.vo.forum.PostsParamsVo;
import com.yizhi.forum.application.vo.forum.PostsSaveVo;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

/**
 * <p>
 * 前端控制器
 * </p>
 *
 * @author taoge123
 * @since 2020-01-09
 */
@FeignClient(name = "cloud-forum", contextId = "PostsClient")
public interface PostsClient {

    @PostMapping("/posts/save")
    public Integer save(@RequestBody PostsSaveVo vo);

    @PostMapping("/posts/get")
    public PostsSaveVo get(@RequestBody PostsParamsVo vo);

    @PostMapping("/posts/update")
    public Integer update(@RequestBody PostsSaveVo vo);

    @PostMapping("/posts/upOrDown")
    public Integer upOrDown(@RequestBody PostsParamsVo vo);

    @PostMapping("/posts/topOrHighlight")
    public Integer topOrHighlight(@RequestBody PostsParamsVo vo);

    @PostMapping("/posts/getPage")
    public Page<PostsManageVo> getPage(@RequestBody PostsParamsVo vo);


}

