package com.yizhi.forum.application.feign;


import com.baomidou.mybatisplus.plugins.Page;
import com.yizhi.forum.application.vo.domain.PostsForbiddenAccountVo;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;

/**
 * <p>
 * 前端控制器
 * </p>
 *
 * @author taoge123
 * @since 2020-01-09
 */
@FeignClient(name = "cloud-forum", contextId = "PostsForbiddenAccountClient")
public interface PostsForbiddenAccountClient {

    @PostMapping("/postsForbiddenAccount/save")
    public Integer save(@RequestBody PostsForbiddenAccountVo forbiddenAccount);

    @GetMapping("/postsForbiddenAccount/getPage")
    public Page<PostsForbiddenAccountVo> getPage(@RequestParam("postsId") Long postsId,
                                               @RequestParam("pageNo") Integer pageNo,
                                               @RequestParam("pageSize") Integer pageSize);

    @PostMapping("/postsForbiddenAccount/deleted")
    public Integer deleted(@RequestBody PostsForbiddenAccountVo forbiddenAccount);

    @GetMapping("/postsForbiddenAccount/hasForbiddenByPostsId")
    public Integer hasForbiddenByPostsId(@RequestParam("postsId") Long postsId);

    @GetMapping("/postsForbiddenAccount/getListByPostsId")
    public List<PostsForbiddenAccountVo> getListByPostsId(@RequestParam("postsIds") List<Long> postsIds);
}

