package com.yizhi.forum.application.feign.remote;


import com.yizhi.forum.application.vo.forum.PostsParamsVo;
import com.yizhi.forum.application.vo.forum.PostsStudentVo;
import com.yizhi.forum.application.vo.domain.PostsVo;
import com.yizhi.forum.application.vo.forum.StatisticsForumAccountVo;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 前端控制器
 * </p>
 *
 * @author taoge123
 * @since 2020-01-09
 */
@FeignClient(name = "cloud-forum", contextId = "RemotePostsClient")
public interface RemotePostsClient {

    /**
     * 修改帖子基本信息
     *
     * @param vo
     * @return
     */
    @PostMapping("/remote/posts/update/info")
    public Integer updateInfo(@RequestBody PostsVo vo);


    @PostMapping("/remote/posts/getList")
    public List<PostsVo> getList(@RequestBody PostsParamsVo vo);

    @PostMapping("/remote/posts/getMap")
    public Map<Long, PostsStudentVo> getMap(@RequestBody PostsParamsVo vo);

    @GetMapping("/remote/posts/get/info")
    public PostsVo getInfo(@RequestParam("postsId") Long postsId);

    @GetMapping("/remote/posts/getAllPosts")
    public List<PostsVo> getAllPosts();

    @GetMapping("/remote/posts//getPersonalDataMap")
    public Map<Long, StatisticsForumAccountVo> getPersonalDataMap();

    /**
     * 首页展示精选中的帖子需要帖子实时名称
     * @param postsIds
     * @return
     */
    @GetMapping("/remote/posts//getNames")
    public Map<Long,String> getNames(@RequestParam(value = "postsIds",required = false) List<Long> postsIds);

    @GetMapping({"/remote/posts/verifyVideo"})
    boolean verifyVideo(@RequestParam("postsAppendixIds") List<Long> postsAppendixIds);

    @PostMapping({"/remote/posts/updateVideoTranscodeUrl"})
    boolean updateVideoTranscodeUrl(@RequestBody Map<String, String> var1);

}

