package com.yizhi.forum.application.feign.student;


import com.baomidou.mybatisplus.plugins.Page;
import com.yizhi.forum.application.vo.domain.PostsClassifyVo;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;

/**
 * <p>
 * 学员端分类接口
 * </p>
 *
 * @author taoge123
 * @since 2020-01-09
 */

@FeignClient(name = "cloud-forum", contextId = "StudentPostsClassifyClient")
public interface StudentPostsClassifyClient {

    @GetMapping("/postsClassify/student/getPageToStudent")
    public Page<PostsClassifyVo> getPageToStudent(@RequestParam(value = "name",required = false) String name,
                                                  @RequestParam("canSend") Boolean canSend,
                                                  @RequestParam("pageNo") Integer pageNo,
                                                  @RequestParam("pageSize") Integer pageSize);


}

