package com.yizhi.forum.application.vo.forum;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * <p>
 *
 * </p>
 *
 * @author taoge123
 * @since 2020-01-09
 */
@Data
@ApiModel(value = "PostsParamsVo", description = "搜索帖子的参数vo")

public class PostsParamsVo {

    @ApiModelProperty(value = "帖子id")
    private Long id;

    @ApiModelProperty(value = "帖子分类id")
    private Long postsClassifyId;

    @ApiModelProperty(value = "类型-- 0：草稿、1：下架、 2：上架 ")
    private Integer status;

    @ApiModelProperty(value = "类型-- 0：草稿、1：下架、 2：上架 、3：加精、4：置顶、5：帖子待管理、6:举报待管理 、7：回复待管理")
    private Integer type;

    @ApiModelProperty(value = "是否置顶 0：未置顶（默认） 1:置顶")
    private Integer isTop;

    @ApiModelProperty(value = "是否加精 0：未加精（默认） 1:加精")
    private Integer isHighlight;

    @ApiModelProperty(value = "终端类型：1-管理端   2-pc端   3-微信端  4-app")
    private Integer terminalType;

    @ApiModelProperty(value = "帖子名称")
    private String title;

    @ApiModelProperty(value = "作者用户id")
    private Long author;

    @ApiModelProperty(value = "是否包含已删除的帖子")
    private Boolean includeDeleted = false;

    @ApiModelProperty(value = "作者用户id集合")
    private List<Long> authors;

    @ApiModelProperty(value = "作者用户名")
    private String authorName;

    @ApiModelProperty(value = "当前页码")
    private Integer pageNo = 1;

    @ApiModelProperty(value = "页内条数")
    private Integer pageSize = 10;

    @ApiModelProperty(value = "首页配置需要")
    private Boolean portalNeed = false;

    @ApiModelProperty(value = "举报需要")
    private Boolean informNeed = false;

}
