package com.yizhi.forum.application.vo.forum;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * <p>
 *
 * </p>
 *
 * @author taoge123
 * @since 2020-01-09
 */
@Data
@ApiModel(value = "PostsSaveVo", description = "保存帖子时vo")

public class PostsSaveVo {

    @ApiModelProperty(value = "帖子id")
    private Long id;

    @ApiModelProperty(value = "保存类型-- 0：草稿  2：上架       必传")
    private Integer type;

    @ApiModelProperty(value = "帖子分类id")
    private Long postsClassifyId;

    @ApiModelProperty(value = "帖子分类名称")
    private String postClassifyName;

    @ApiModelProperty(value = "帖子名称           必传")
    private String title;

    @ApiModelProperty(value = "帖子封面（取内容里的图片）")
    private String logo;

    @ApiModelProperty(value = "终端类型：1-管理端   2-pc端   3-微信端  4-app        必传")
    private Integer terminalType;

    @ApiModelProperty(value = "帖子内容  必传")
    private String content;

    @ApiModelProperty(value = "0：全平台 1：指定用户    必传")
    private Integer visibleRange;

    @ApiModelProperty(value = "作者用户id")
    private Long author;

    @ApiModelProperty(value = "作者用户名")
    private String authorName;

    @ApiModelProperty(value = "作者头像")
    private String authorPhoto;

    @ApiModelProperty(value = "点赞数")
    private Integer thumbsNum;

    @ApiModelProperty(value = "阅读人数")
    private Integer readNum;

    @ApiModelProperty(value = "回复人数")
    private Integer replyNum;

    @ApiModelProperty(value = "评论人数")
    private Integer commentNum;

    @ApiModelProperty(value = "帖子附件")
    private List<PostsAppendixVo> postsAppendixVos;

    @ApiModelProperty(value = "帖子关联活动")
    private List<PostsRelationVo> postsRelationVos;

    @ApiModelProperty(value = "帖子指定范围")
    private List<PostsVisibleRangeVo> postsVisibleRangeVos;

    @ApiModelProperty(value = "是否已点赞  0：未点赞（默认） 1：已点赞")
    private Integer hasThumbs;

    @ApiModelProperty(value = "是否已收藏   0：未收藏  （默认） 1：已收藏  ")
    private Integer hasFavorite;

    @ApiModelProperty(value = "是否已被禁言   0：未禁言 （默认） 1：已禁言  ")
    private Integer hasForbidden;

    @ApiModelProperty(value = "是否可以评论   0：不可以 （默认） 1：可以  ")
    private Integer canComment;

    @ApiModelProperty(value = "发表时间")
    private Date creatTime;

    @ApiModelProperty(value = "发表时间String已做处理 回显需要")
    private String createTimeString;

    


}
