package com.yizhi.forum.application.controller;


import com.yizhi.forum.application.feign.student.StudentPostsFavoriteClient;
import com.yizhi.forum.application.service.IPostsFavoriteService;
import com.yizhi.forum.application.vo.domain.PostsFavoriteVo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;
import java.util.Map;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author taoge123
 * @since 2020-01-09
 */
@RestController
@RequestMapping("/postsFavorite")
public class PostsFavoriteController implements StudentPostsFavoriteClient {


   @Autowired
   private IPostsFavoriteService postsFavoriteService;



    @Override
    @PostMapping("/save")
    public Integer save(@RequestBody PostsFavoriteVo postsFavorite){

        return postsFavoriteService.save(postsFavorite);
    }

    @Override
    @PostMapping("/deleted")
    public Integer deleted(@RequestBody PostsFavoriteVo postsFavorite){
        return postsFavoriteService.deleted(postsFavorite);
    }

    @Override
    @GetMapping("/hasFavoriteByPostsId")
    public Integer hasFavoriteByPostsId(@RequestParam("postsId") Long postsId) {
        return postsFavoriteService.hasFavoriteByPostsId(postsId,false);
    }


    @Override
    @GetMapping("/hasFavoriteByPostsIds")
    public Map<Long,Integer> hasFavoriteByPostsIds(@RequestParam("postsIds") List<Long> postsIds) {
        return postsFavoriteService.hasFavoriteByPostsIds(postsIds);
    }

}

