package com.yizhi.forum.application.controller;


import com.baomidou.mybatisplus.plugins.Page;
import com.yizhi.forum.application.feign.PostsForbiddenAccountClient;
import com.yizhi.forum.application.service.IPostsForbiddenAccountService;
import com.yizhi.forum.application.vo.domain.PostsForbiddenAccountVo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * <p>
 * 前端控制器
 * </p>
 *
 * @author taoge123
 * @since 2020-01-09
 */
@RestController
@RequestMapping("/postsForbiddenAccount")
public class PostsForbiddenAccountController implements PostsForbiddenAccountClient {

    @Autowired
    private IPostsForbiddenAccountService postsForbiddenAccountService;


    @Override
    @PostMapping("/save")
    public Integer save(@RequestBody PostsForbiddenAccountVo forbiddenAccount) {

        return postsForbiddenAccountService.save(forbiddenAccount);
    }

    @Override
    @GetMapping("/getPage")
    public Page<PostsForbiddenAccountVo> getPage(@RequestParam("postsId") Long postsId,
                                               @RequestParam("pageNo") Integer pageNo,
                                               @RequestParam("pageSize") Integer pageSize) {
        return postsForbiddenAccountService.getPage(postsId, pageNo, pageSize);
    }

    @Override
    @PostMapping("/deleted")
    public Integer deleted(@RequestBody PostsForbiddenAccountVo forbiddenAccount) {
        return postsForbiddenAccountService.delete(forbiddenAccount);
    }

    @Override
    @GetMapping("/hasForbiddenByPostsId")
    public Integer hasForbiddenByPostsId(@RequestParam("postsId") Long postsId) {
        return postsForbiddenAccountService.hasForbiddenByPostsId(postsId);
    }

    @Override
    @GetMapping("/getListByPostsId")
    public List<PostsForbiddenAccountVo> getListByPostsId(@RequestParam("postsIds") List<Long> postsIds) {
        return postsForbiddenAccountService.getListByPostsId(postsIds);
    }
}

