package com.yizhi.forum.application.controller;


import com.yizhi.core.application.context.ContextHolder;
import com.yizhi.forum.application.feign.PostsManageAccountClient;
import com.yizhi.forum.application.service.IPostsManageAccountService;
import com.yizhi.forum.application.vo.forum.PostsManageAccountParamVo;
import com.yizhi.forum.application.vo.forum.PostsManageAccountVo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * <p>
 * 代管员接口
 * </p>
 *
 * @author taoge123
 * @since 2020-01-09
 */
@RestController
@RequestMapping("/postsManageAccount")
public class PostsManageAccountController implements PostsManageAccountClient {

    @Autowired
    private IPostsManageAccountService postsManageAccountService;

    @PostMapping("/save")
    public Boolean save(@RequestBody PostsManageAccountParamVo vo) {
        return postsManageAccountService.save(vo);
    }

    @Override
    @GetMapping("/getManager")
    public List<PostsManageAccountVo> getManager(@RequestParam("postsClassifyId") Long postsClassifyId){

        return postsManageAccountService.getManager(postsClassifyId, ContextHolder.get().getSiteId());
    }
}

