package com.yizhi.forum.application.domain;

import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableLogic;
import com.baomidou.mybatisplus.annotations.TableName;
import com.baomidou.mybatisplus.enums.FieldFill;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * <p>
 * 
 * </p>
 *
 * @author taoge123
 * @since 2020-01-09
 */
@Data
@ApiModel(value = "PostsClassifyAccountVo", description = "可发帖、评论人员表")
@TableName("posts_classify_account")
public class PostsClassifyAccount {

    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "id ")
	private Long id;

    @ApiModelProperty(value = "帖子分类id")
	@TableField("posts_classify_id")
	private Long postsClassifyId;

    @ApiModelProperty(value = "类型(1：可发帖人员、2：可评论人员)")
	private Integer type;

    @ApiModelProperty(value = "用户类型：1-部门   2-用户 ")
	@TableField("account_type")
	private Integer accountType;

    @ApiModelProperty(value = "用户id或部门id ")
	@TableField("account_id")
	private Long accountId;

    @ApiModelProperty(value = "是否删除(0:否,1:是)")
    @TableLogic
	private Integer deleted;

	@TableField("site_id")
	private Long siteId;

    @ApiModelProperty(value = "创建人")
	@TableField(value = "create_by_id", fill = FieldFill.INSERT)
	private Long createById;

    @ApiModelProperty(value = "创建人姓名")
	@TableField(value = "create_by_name", fill = FieldFill.INSERT)
	private String createByName;

    @ApiModelProperty(value = "创建时间")
	@TableField(value = "create_time", fill = FieldFill.INSERT)
	private Date createTime;

    @ApiModelProperty(value = "修改人id")
	@TableField(value = "update_by_id", fill = FieldFill.INSERT)
	private Long updateById;

    @ApiModelProperty(value = "修改人账号")
	@TableField(value = "update_by_name", fill = FieldFill.INSERT)
	private String updateByName;

    @ApiModelProperty(value = "修改时间")
	@TableField(value = "update_time", fill = FieldFill.INSERT)
	private Date updateTime;





}
