package com.yizhi.forum.application.domain;

import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableLogic;
import com.baomidou.mybatisplus.annotations.TableName;
import com.baomidou.mybatisplus.enums.FieldFill;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * <p>
 * 
 * </p>
 *
 * @author taoge123
 * @since 2020-01-09
 */
@Data
@ApiModel(value = "PostsReadRecordVo", description = "帖子阅读记录表")
@TableName("posts_read_record")
public class PostsReadRecord {

    private static final long serialVersionUID = 1L;


	private Long id;
    @ApiModelProperty(value = "帖子id")
	@TableField("posts_id")
	private Long postsId;

    @ApiModelProperty(value = "用户id ")
	@TableField("account_id")
	private Long accountId;

    @ApiModelProperty(value = "终端类型：1-管理端   2-pc端   3-微信端  4-app")
	@TableField("terminal_type")
	private Integer terminalType;

    @ApiModelProperty(value = "是否删除(0:否,1:是)")
	@TableLogic
	private Integer deleted;


    @ApiModelProperty(value = "创建人")
	@TableField(value = "create_by_id", fill = FieldFill.INSERT)
	private Long createById;

    @ApiModelProperty(value = "创建人姓名")
	@TableField(value = "create_by_name", fill = FieldFill.INSERT)
	private String createByName;

    @ApiModelProperty(value = "阅读时间")
	@TableField(value = "create_time", fill = FieldFill.INSERT)
	private Date createTime;

    @ApiModelProperty(value = "修改人id")
	@TableField(value = "update_by_id", fill = FieldFill.INSERT)
	private Long updateById;

    @ApiModelProperty(value = "修改人账号")
	@TableField(value = "update_by_name", fill = FieldFill.INSERT)
	private String updateByName;

    @ApiModelProperty(value = "修改时间")
	@TableField(value = "update_time", fill = FieldFill.INSERT)
	private Date updateTime;

    @TableField("site_id")
    private Long siteId;



}
