package com.yizhi.forum.application.mapper;

import com.yizhi.forum.application.domain.Posts;
import com.baomidou.mybatisplus.mapper.BaseMapper;
import com.yizhi.forum.application.vo.forum.PostsStudentVo;
import com.yizhi.forum.application.vo.forum.StatisticsForumAccountVo;
import org.apache.ibatis.annotations.MapKey;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author taoge123
 * @since 2020-01-09
 */
public interface PostsMapper extends BaseMapper<Posts> {

    @MapKey("author")
    Map<Long, StatisticsForumAccountVo> getPersonalDataMap();

    /**
     * 根据id获取对应vo
     * @param postsIds
     * @return
     */
    @MapKey("id")
    Map<Long, PostsStudentVo> getMapByIds(@Param("postsIds") List<Long> postsIds);
}
