package com.yizhi.forum.application.service;

import com.baomidou.mybatisplus.plugins.Page;
import com.baomidou.mybatisplus.service.IService;
import com.yizhi.core.application.context.RequestContext;
import com.yizhi.forum.application.domain.PostsClassify;
import com.yizhi.forum.application.vo.domain.PostsClassifyVo;
import com.yizhi.forum.application.vo.forum.PostsClassifySettingVo;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author taoge123
 * @since 2020-01-09
 */
public interface IPostsClassifyService extends IService<PostsClassify> {

    public Boolean save(PostsClassifyVo postsClassify);

    Integer move(Integer type, Long id);

    Integer delete(Long id);

    Boolean updateSetting(PostsClassifySettingVo vo);

    PostsClassifySettingVo getSetting(Long id);

    Page<PostsClassifyVo> getPage(String name, Integer pageNo, Integer pageSize);

    Page<PostsClassifyVo> getPageToStudent(String name, Boolean canSend, Integer pageNo, Integer pageSize);

    Map<Long, PostsClassifyVo> getClassifyMap(RequestContext context);

    /**
     * 获取分类名称map
     *
     * @param ids
     * @return
     */
    Map<Long, String> getClassifyNameMap(List<Long> ids);

}
