package com.yizhi.forum.application.service;

import com.baomidou.mybatisplus.plugins.Page;
import com.yizhi.forum.application.domain.Posts;
import com.baomidou.mybatisplus.service.IService;
import com.yizhi.forum.application.vo.domain.PostsVo;
import com.yizhi.forum.application.vo.forum.*;

import java.util.List;
import java.util.Map;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author taoge123
 * @since 2020-01-09
 */
public interface IPostsService extends IService<Posts> {

    Integer save(PostsSaveVo vo);

    PostsSaveVo get(PostsParamsVo vo);

    Integer update(PostsSaveVo vo);

    Integer upOrDown(PostsParamsVo vo);

    Integer topOrHighlight(PostsParamsVo vo);

    Page<PostsManageVo> getPage(PostsParamsVo vo);

    Integer updateInfo(PostsVo vo);

    Page<PostsStudentVo> getPageToStudent(Integer type, String keyword, Long classifyId, Integer pageNo, Integer pageSize);

    Page<PostsStudentVo> myPage(Integer type, Integer status, String keyword, Long classifyId, Integer pageNo, Integer pageSize);

    List<Posts> getList(PostsParamsVo vo);

    Map<Long, PostsStudentVo> getMap(PostsParamsVo vo);

    Map<Long, PostsStudentVo> getMapByIds(List<Long> postsIds);

    Map<Long, StatisticsForumAccountVo> getPersonalDataMap();

    Posts getInfo(Long postsId);

    Integer getMyNum();

    Map<Long, String> getNames(List<Long> postsIds);

}
